Skip to main content
GET
/
contacts
/
{id}
Get a contact
curl --request GET \
  --url https://{your-subdomain}.neetocrm.com/api/external/v1/contacts/{id} \
  --header 'X-Api-Key: <x-api-key>'
{
  "contact": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "Eve",
    "email": "eve@example.com",
    "phone_number": "",
    "created_at": "2025-03-15T10:30:00.000Z",
    "updated_at": "2025-03-15T10:30:00.000Z",
    "owner": null,
    "tags": [],
    "company": {
      "id": null,
      "name": null
    }
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying your subdomain.

Headers

X-Api-Key
string
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Path Parameters

id
string
required

The ID of the contact to retrieve. You can get the contact id by listing all contacts using our List all contacts API.

Response

200 - application/json

Successfully retrieved the contact.

contact
object